fedora-users October 2011 archive
Main Archive Page > Month Archives  > fedora-users archives
fedora-users: Re: Things I cant understand

Re: Things I cant understand

From: Rick Stevens <ricks_at_nospam>
Date: Mon Oct 10 2011 - 20:41:03 GMT
To: Community support for Fedora users <users@lists.fedoraproject.org>

On 10/10/2011 01:12 PM, Joao Daniel wrote:
> Folks,
>
> I'm trying to install Snort. So, the first step is update libpcap. Look
> what I have done.
> 1)
>
> yum erase libpcap (to unistall old libpcap)
> tar -zxfv libpcap
> cd libpcap
> ./configure --libdir=/lib/ --bindir=/bin/
> make
> make install
>
> 2)
>
> yum install ./daq.rpm
>
> At this point I got a messagen telling that libpcap is not installed!!!
>
> What is happening ? Did I made a mistake? Better: Why yum cant realize
> that lipcap is already installed ?

We need to know what you're trying to install this on (F14, F15, 32-bit,
64-bit, etc.). Snort wants libpcap in /usr/lib or /usr/lib64,
not /lib.

You should have just done a "yum install libpcap-devel" to get libpcap.
There's no need to install from a tarball--libpcap has been in Fedora's
repos for a LONG time.

Yeah, I know. "NOW you tell me!" :-)
----------------------------------------------------------------------
- Rick Stevens, Systems Engineer, C2 Hosting ricks@nerd.com -
- AIM/Skype: therps2 ICQ: 22643734 Yahoo: origrps2 -
- -
- UNIX is actually quite user friendly. The problem is that it's -
- just very picky of who its friends are! -
----------------------------------------------------------------------
-- users mailing list users@lists.fedoraproject.org To unsubscribe or change subscription options: https://admin.fedoraproject.org/mailman/listinfo/users Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines